import { Signer, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { ComptrollerErrorReporter, ComptrollerErrorReporterInterface } from "../../contracts/ComptrollerErrorReporter";
declare type ComptrollerErrorReporterConstructorParams = [signer?: Signer] | ConstructorParameters<typeof ContractFactory>;
export declare class ComptrollerErrorReporter__factory extends ContractFactory {
    constructor(...args: ComptrollerErrorReporterConstructorParams);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ComptrollerErrorReporter>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): ComptrollerErrorReporter;
    connect(signer: Signer): ComptrollerErrorReporter__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea26469706673582212205d39ad24ad7110d79ec708de0c320ef7ace6298e3e190f07c072ebf180557f1b64736f6c634300060b0033";
    static readonly abi: {
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    static createInterface(): ComptrollerErrorReporterInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ComptrollerErrorReporter;
}
export {};
